package pathgame.rendering;

import me.hammerle.snuviengine.api.Renderer;
import pathgame.gameplay.Player;
import pathgame.tilemap.TileMap;

public class HUDRenderer
{

    public void renderTick(Renderer r, Player p)//TileMap map, TileMapRenderer map, float lag, float offX, float offY)
    {
        String objectiveTracker = String.valueOf(p.getObjectivesVisited()) + "/" + String.valueOf(p.getObjectivesAmount()) + " Towns";
        String energy = String.valueOf(p.getEnergyLeft()) + "/" + String.valueOf(p.getEnergySupply()) + " Energy used";
        
        
        r.setMixColorEnabled(true);
        r.setColorEnabled(true);
        r.setTextureEnabled(false);
        r.setBlendingEnabled(true);
        
        
        r.getColorRenderer().drawRectangle(0, 0, r.getViewWidth(), 20, 0x33_00_00_00);//ABGR
        
        r.setMixColorEnabled(false);
        r.setColorEnabled(true);
        r.setTextureEnabled(true);
        
        //r.getFontRenderer().drawString(0, 0, "xx");
        r.translateTo(0.0f, 0.0f);
        r.scale(2.0f, 2.0f);
        r.updateMatrix();
        r.getFontRenderer().drawString(2, 1, objectiveTracker);
        
        r.getFontRenderer().drawString(
                r.getViewWidth()*0.5f - 
                r.getFontRenderer().getSize(energy).getWidth(), 
                1, energy);
        //r.getViewWidth() - r.getFontRenderer().getSize(energy).getWidth()
        //r.getFontRenderer().
    }

}
